Package ru.bitel.bgbilling.modules.tv.server.runtime

# Class TvDeviceRuntimeMap

java.lang.Object
ru.bitel.bgbilling.modules.tv.server.runtime.TvDeviceRuntimeMap

All Implemented Interfaces:
  `EventListener<ru.bitel.bgbilling.kernel.event.common.Event>`

public class TvDeviceRuntimeMap extends Object implements EventListener<ru.bitel.bgbilling.kernel.event.common.Event>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TvDeviceRuntimeMap(Setup setup, int moduleId, int rootDeviceId, boolean loadSaScripts)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TvDeviceRuntime`
  `get(Integer id)`
  `TvDeviceRuntime`
  `getAndLockSa(Integer id)`
  `Map<String,TvDeviceRuntime>`
  `getDescendantMap(TvDeviceRuntime parent)`
  `Map<Integer,TvDeviceRuntime>`
  `getMap()`
  `void`
  `load(Connection con)`
  `void`
  `notify(ru.bitel.bgbilling.kernel.event.common.Event e, EventListenerContext ctx)`
  `Collection<TvDeviceRuntime>`
  `values()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TvDeviceRuntimeMap

    public TvDeviceRuntimeMap(Setup setup, int moduleId, int rootDeviceId, boolean loadSaScripts) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

- ## Method Details

  - ### notify

    public void notify(ru.bitel.bgbilling.kernel.event.common.Event e, EventListenerContext ctx) throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `notify` in interface `EventListener<ru.bitel.bgbilling.kernel.event.common.Event>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### get

    public TvDeviceRuntime get(Integer id)

  - ### getAndLockSa

    public TvDeviceRuntime getAndLockSa(Integer id)

  - ### values

    public Collection<TvDeviceRuntime> values()

  - ### getMap

    public Map<Integer,TvDeviceRuntime> getMap()

  - ### load

    public void load(Connection con) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getDescendantMap

    public Map<String,TvDeviceRuntime> getDescendantMap(TvDeviceRuntime parent)